<?php


namespace Service;

use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class Project
{
    const PROJECT_TYPE_PRODUCT = Entities\Project::PROJECT_TYPE_PRODUCT;

    public static function getProductProject(Entities\Project $project = null)
    {
        $productProject = null;
        if ($project) {
            if ($project->getProjectType()->getExternaltype() == self::PROJECT_TYPE_PRODUCT) {
                $productProject = $project;
            } else {
                $productProject = self::getProductProject($project->getParent());
            }
        }
        return $productProject;
    }
}
